Name: ninja-build
Version: 1.10.1
Release: 1
License: Apache-2.0
Url: https://ninja-build.org/
Summary: A small build system with a focus on speed

Source0: https://github.com/ninja-build/ninja/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0: ninja-upstream-fixes.patch
Patch1: ninja-posix_spawnattr_init.patch

BuildRequires: cmake

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%prep
%setup -n ninja-%{version}

%patch0 -p1
%patch1 -p1


%build

cmake -Bbuild-cmake -DCMAKE_INSTALL_PREFIX=%{_prefix}

cmake --build build-cmake


%install

cd build-cmake
%make_install


%files
%defattr(-, qsys, *none)

%license COPYING
%doc     README.md

%{_bindir}/ninja


%changelog
* Wed Oct 28 2020 Mark Irish <mirish@ibm.com> - 1.10.1
- Initial package
